## cantor 18.12.0

=== CMakeLists.txt ===
project(cantor)

cmake_minimum_required (VERSION 3.1.0 FATAL_ERROR)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "18")
set (KDE_APPLICATIONS_VERSION_MINOR "12")
set (KDE_APPLICATIONS_VERSION_MICRO "0")
set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

set(KF5_MIN_VERSION "5.49.0")

find_package(ECM 5.15.0 REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${cantor_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 5.6.0 CONFIG REQUIRED
    Core
    Widgets
    PrintSupport
    Svg
    Xml
    XmlPatterns
    Test)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
    Config
    Crash
    Completion
    DocTools
    NewStuff
    IconThemes
    TextEditor
    CoreAddons
    Archive
    Parts
    SyntaxHighlighting
    TextWidgets
    KIO
    XmlGui
    I18n)

if(NOT WIN32)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED Pty)
endif()

include(FeatureSummary)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)
include(ECMAddAppIcon)
include(GenerateExportHeader)

if(NOT WIN32)
    set_package_properties(LibSpectre PROPERTIES DESCRIPTION "A PostScript rendering library"
        URL "http://libspectre.freedesktop.org/wiki/"
        TYPE OPTIONAL
        PURPOSE "Support for rendering EPS files in Cantor")

    find_package(LibSpectre)
    if(LIBSPECTRE_FOUND)
        set(WITH_EPS On)
    else(LIBSPECTRE_FOUND)
        set(WITH_EPS Off)
    endif(LIBSPECTRE_FOUND)

else(NOT WIN32)
    set(WITH_EPS Off)
endif(NOT WIN32)

find_package(Discount 2.2.0)
set_package_properties(Discount PROPERTIES DESCRIPTION "A C implementation of the Markdown markup language"
    URL "https://www.pell.portland.or.us/~orc/Code/discount/"
    TYPE OPTIONAL
    PURPOSE "Used for Markdown entries in Cantor")

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
if (CMAKE_BUILD_TYPE STREQUAL "RELEASE")
    add_definitions(-DQT_NO_DEBUG_OUTPUT)
endif (CMAKE_BUILD_TYPE STREQUAL "RELEASE")
kde_enable_exceptions()

add_subdirectory(doc)
add_subdirectory(src)
add_subdirectory(icons)

install(FILES org.kde.cantor.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})


feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== src/backends/CMakeLists.txt ===
function(add_backend name)

    kcoreaddons_add_plugin("cantor_${name}"
        SOURCES ${ARGN}
        JSON "${name}.json"
        INSTALL_NAMESPACE "cantor/backends")

    target_link_libraries("cantor_${name}"
        cantorlibs)

endfunction()

add_subdirectory(null)
add_subdirectory(maxima)
add_subdirectory(octave)
add_subdirectory(scilab)

if(NOT WIN32)
    add_subdirectory(sage)
endif(NOT WIN32)

set_package_properties(Analitza5 PROPERTIES DESCRIPTION "A library provided by KAlgebra."
    URL "http://edu.kde.org/kalgebra/"
    TYPE OPTIONAL
    PURPOSE "Backend to use KAlgebra with Cantor.")

find_package(Analitza5)
if(Analitza5_FOUND)
    add_subdirectory(kalgebra)
endif(Analitza5_FOUND)

set_package_properties(R PROPERTIES DESCRIPTION "A free software environment for statistical computing and graphics."
    URL "http://www.r-project.org/"
    TYPE OPTIONAL
    PURPOSE "Backend to use R with Cantor.")

find_package(R)
if(R_FOUND)
    add_subdirectory(R)
endif(R_FOUND)

set_package_properties(Qalculate PROPERTIES DESCRIPTION "A multi-purpose desktop calculator with support for customizable functions, units and arbitrary precision."
    URL "http://qalculate.sourceforge.net/"
    TYPE OPTIONAL
    PURPOSE "Backend to use Qalculate with Cantor.")

find_package(Qalculate)
if(QALCULATE_FOUND)
    add_subdirectory(qalculate)
endif(QALCULATE_FOUND)

set_package_properties(PythonLibs PROPERTIES DESCRIPTION "A powerful dynamic programming language."
    URL "https://www.python.org/"
    TYPE OPTIONAL
    PURPOSE "Backend to use Python 2 with Cantor.")

# If PythonInterp has been found (which it is indirectly by KF5I18n),
# find_package(PythonLibs) will prefer that version over whatever
# version information you pass the find_package call. Set a special
# variable to override that:
set(Python_ADDITIONAL_VERSIONS 2.7)
find_package(PythonLibs 2.7)

set_package_properties(PythonLibs3 PROPERTIES DESCRIPTION "A powerful dynamic programming language."
    URL "https://www.python.org/"
    TYPE OPTIONAL
    PURPOSE "Backend to use Python 3 with Cantor.")

find_package(PythonLibs3)

if(PYTHONLIBS_FOUND OR PYTHONLIBS3_FOUND)
    add_subdirectory(python)
endif(PYTHONLIBS_FOUND OR PYTHONLIBS3_FOUND)

if(PYTHONLIBS_FOUND)
    add_subdirectory(python2)
endif(PYTHONLIBS_FOUND)

if(PYTHONLIBS3_FOUND)
    add_subdirectory(python3)
endif(PYTHONLIBS3_FOUND)

set_package_properties(LuaJIT PROPERTIES DESCRIPTION "A lightweight, extensible programming language (luajit implementation)."
    URL "http://www.lua.org/"
    TYPE OPTIONAL
    PURPOSE "Backend to use Lua (luajit2) with Cantor.")

find_package(LuaJIT)
if(LUAJIT_FOUND)
    add_subdirectory(lua)
endif(LUAJIT_FOUND)

set_package_properties(
    Julia
    PROPERTIES DESCRIPTION "A high-level, high-performance dynamic programming language for technical computing"
    URL "http://julialang.org/"
    TYPE OPTIONAL
    PURPOSE "Backend to use Julia with Cantor.")

find_package(Julia)
if(Julia_FOUND)
    add_subdirectory(julia)
endif()

=== src/lib/CMakeLists.txt ===
set( cantor_LIB_SRCS
  session.cpp
  expression.cpp
  backend.cpp
  result.cpp
  textresult.cpp
  imageresult.cpp
  epsresult.cpp
  latexresult.cpp
  latexrenderer.cpp
  helpresult.cpp
  animationresult.cpp
  extension.cpp
  assistant.cpp
  completionobject.cpp
  syntaxhelpobject.cpp
  defaulthighlighter.cpp
  defaultvariablemodel.cpp
  panelplugin.cpp
  panelpluginhandler.cpp
  worksheetaccess.cpp
  directives/plotdirectives.cpp
)

Set( cantor_LIB_HDRS
  cantor_macros.h
  #base classes
  backend.h
  session.h
  expression.h
  extension.h
  syntaxhelpobject.h
  completionobject.h
  #results
  animationresult.h
  epsresult.h
  helpresult.h
  imageresult.h
  latexresult.h
  result.h
  textresult.h
  #helper classes
  defaulthighlighter.h
  defaultvariablemodel.h
  worksheetaccess.h
)

ki18n_wrap_ui(cantor_LIB_SRCS directives/axisrange.ui directives/plottitle.ui)

kconfig_add_kcfg_files(cantor_LIB_SRCS settings.kcfgc)
install(FILES cantor_libs.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

configure_file (config-cantorlib.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-cantorlib.h )

add_library( cantorlibs  SHARED ${cantor_LIB_SRCS} )
generate_export_header(cantorlibs BASE_NAME cantor)

kcoreaddons_desktop_to_json(cantorlibs cantor_assistant.desktop DEFAULT_SERVICE_TYPE)
kcoreaddons_desktop_to_json(cantorlibs cantor_backend.desktop DEFAULT_SERVICE_TYPE)
kcoreaddons_desktop_to_json(cantorlibs cantor_panelplugin.desktop DEFAULT_SERVICE_TYPE)

target_link_libraries( cantorlibs
  KF5::Completion
  KF5::IconThemes
  KF5::KIOCore
  KF5::KIOFileWidgets
  KF5::KIOWidgets
  KF5::Archive
  KF5::ConfigCore
  KF5::ConfigGui
  KF5::I18n
  KF5::XmlGui
  ${QT5_LIBRARIES}
  Qt5::Xml
)

set_target_properties( cantorlibs PROPERTIES VERSION ${KDE_APPLICATIONS_VERSION} SOVERSION 20)


install( TARGETS cantorlibs  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

install( FILES ${cantor_LIB_HDRS} ${CMAKE_CURRENT_BINARY_DIR}/cantor_export.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/cantor
  COMPONENT Devel
)

if(BUILD_TESTING)
  add_subdirectory(test)
endif()

=== src/assistants/integrate/CMakeLists.txt ===
set( IntegrateAssistant_SRCS
     integrateassistant.cpp
)

ki18n_wrap_ui(IntegrateAssistant_SRCS integratedlg.ui)

add_assistant(integrateassistant ${IntegrateAssistant_SRCS})

install( FILES cantor_integrate_assistant.rc  DESTINATION  ${KXMLGUI_INSTALL_DIR}/cantor )

=== src/backends/R/CMakeLists.txt ===
include_directories(${R_INCLUDEDIR})
LINK_DIRECTORIES(${R_SHAREDLIBDIR})

add_subdirectory(rserver)

set( RBackend_SRCS
  rbackend.cpp
  rsession.cpp
  rexpression.cpp
  rextensions.cpp
  rcompletionobject.cpp
  rhighlighter.cpp
  rkeywords.cpp
  rsettingswidget.cpp
)

kconfig_add_kcfg_files(RBackend_SRCS rserver/settings.kcfgc)

set(network_xml rserver/org.kde.Cantor.R.xml)
QT5_ADD_DBUS_INTERFACE(RBackend_SRCS ${network_xml} rserver_interface )

ki18n_wrap_ui(RBackend_SRCS settings.ui)

add_backend(rbackend ${RBackend_SRCS})

set_target_properties( cantor_rbackend PROPERTIES INSTALL_RPATH_USE_LINK_PATH false)
target_link_libraries( cantor_rbackend ${R_USED_LIBS} KF5::SyntaxHighlighting)

install( FILES cantor_r.knsrc  DESTINATION  ${KDE_INSTALL_CONFDIR} )

=== src/backends/julia/CMakeLists.txt ===
include_directories(${JULIA_INCLUDE_DIRS})

add_subdirectory(juliaserver)

set(JuliaBackend_SRCS
  juliabackend.cpp
  juliasession.cpp
  juliaexpression.cpp
  juliakeywords.cpp
  juliahighlighter.cpp
  juliaextensions.cpp
  juliacompletionobject.cpp
)

kconfig_add_kcfg_files(JuliaBackend_SRCS settings.kcfgc)
ki18n_wrap_ui(JuliaBackend_SRCS settings.ui)

add_backend(juliabackend ${JuliaBackend_SRCS})

target_link_libraries(cantor_juliabackend
  ${JULIA_LIBRARY}
  Qt5::DBus
  KF5::SyntaxHighlighting
)

if(BUILD_TESTING)
  add_executable(testjulia testjulia.cpp)
  add_test(NAME testjulia COMMAND testjulia)
  target_link_libraries(testjulia 
    Qt5::Test
    cantorlibs 
    cantortest
  )
endif(BUILD_TESTING)

install(FILES juliabackend.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
file(GLOB scripts "${CMAKE_CURRENT_SOURCE_DIR}/scripts/*.jl")
install(
  FILES ${scripts}
  DESTINATION ${KDE_INSTALL_DATADIR}/cantor/juliabackend/scripts
)

=== src/backends/lua/CMakeLists.txt ===
set(LuaBackend_SRCS
  luabackend.cpp
  luasession.cpp
  luaexpression.cpp
  luacompletionobject.cpp
  luahelper.cpp
  luakeywords.cpp
  luahighlighter.cpp
  luaextensions.cpp
)

kconfig_add_kcfg_files(LuaBackend_SRCS settings.kcfgc)
install(FILES luabackend.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ki18n_wrap_ui(LuaBackend_SRCS settings.ui)

add_backend(luabackend ${LuaBackend_SRCS})

include_directories(${LUAJIT_INCLUDE_DIR})

target_link_libraries(cantor_luabackend ${LUAJIT_LIBRARY} KF5::SyntaxHighlighting)

if(BUILD_TESTING)
  add_executable( testlua testlua.cpp)
  add_test(testlua testlua)
  ecm_mark_as_test(testlua)
  target_link_libraries( testlua
    Qt5::Test
    cantorlibs
    cantortest
  )
endif(BUILD_TESTING)

install(FILES cantor_lua.knsrc  DESTINATION  ${KDE_INSTALL_CONFDIR} )

=== src/backends/maxima/CMakeLists.txt ===
set( MaximaBackend_SRCS
  maximabackend.cpp
  maximasession.cpp
  maximaexpression.cpp
  maximaextensions.cpp
  maximahighlighter.cpp
  maximakeywords.cpp
  maximacompletionobject.cpp
  maximasyntaxhelpobject.cpp
  maximavariablemodel.cpp
)

kconfig_add_kcfg_files(MaximaBackend_SRCS settings.kcfgc)
install(FILES maximabackend.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ki18n_wrap_ui(MaximaBackend_SRCS settings.ui)

add_backend(maximabackend ${MaximaBackend_SRCS})

target_link_libraries(cantor_maximabackend KF5::SyntaxHighlighting)

if(BUILD_TESTING)
  add_executable( testmaxima testmaxima.cpp)
  add_test(NAME testmaxima COMMAND testmaxima)
  target_link_libraries( testmaxima
    Qt5::Test
    cantorlibs
    cantortest
  )
endif()

install( FILES cantor_maxima.knsrc  DESTINATION  ${KDE_INSTALL_CONFDIR} )
install( FILES cantor-initmaxima.lisp DESTINATION ${KDE_INSTALL_DATADIR}/cantor/maximabackend)

=== src/backends/null/CMakeLists.txt ===
set( NullBackend_SRCS
  nullbackend.cpp
  nullsession.cpp
  nullexpression.cpp
  nullcompletionobject.cpp
)

add_backend(nullbackend ${NullBackend_SRCS})

=== src/backends/octave/CMakeLists.txt ===
set( OctaveBackend_SRCS
  octavebackend.cpp
  octavesession.cpp
  octaveexpression.cpp
  octaveextensions.cpp
  octavehighlighter.cpp
  octavekeywords.cpp
  octavecompletionobject.cpp
  octavesyntaxhelpobject.cpp
)

set (OCTAVE_SCRIPT_INSTALL_DIR ${KDE_INSTALL_DATADIR}/cantor/octavebackend)
set (OCTAVE_SCRIPT_INSTALL_PATH ${CMAKE_INSTALL_PREFIX}/${OCTAVE_SCRIPT_INSTALL_DIR}/)
configure_file (octave-backend-config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/octave-backend-config.h )
add_subdirectory(scripts)

kconfig_add_kcfg_files(OctaveBackend_SRCS settings.kcfgc)
install(FILES octavebackend.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ki18n_wrap_ui(OctaveBackend_SRCS settings.ui)

add_backend(octavebackend ${OctaveBackend_SRCS})

target_link_libraries(cantor_octavebackend
  KF5::KIOCore
  KF5::ConfigCore
  KF5::ConfigGui
  KF5::SyntaxHighlighting
)


if(BUILD_TESTING)
  add_executable( testoctave testoctave.cpp)
  add_test(testoctave testoctave)
  ecm_mark_as_test(testoctave)
  target_link_libraries( testoctave
    Qt5::Test
    cantorlibs
    cantortest
  )
endif(BUILD_TESTING)

install(FILES cantor_octave.knsrc  DESTINATION  ${KDE_INSTALL_CONFDIR} )

=== src/backends/python/CMakeLists.txt ===
set( PythonBackend_SRCS
  pythonbackend.cpp
  pythonsession.cpp
  pythonexpression.cpp
  pythonkeywords.cpp
  pythonhighlighter.cpp
  pythoncompletionobject.cpp
  pythonextensions.cpp
)

qt5_add_resources(PythonBackend_RSCS python.qrc)

ki18n_wrap_ui(PythonBackend_SRCS settings.ui)

add_library(cantor_pythonbackend SHARED ${PythonBackend_SRCS} ${PythonBackend_RSCS})
generate_export_header(cantor_pythonbackend)

target_link_libraries(cantor_pythonbackend
  cantorlibs
  KF5::KIOCore
  KF5::ConfigCore
  KF5::ConfigGui
  KF5::SyntaxHighlighting
  Qt5::DBus
)

install(TARGETS cantor_pythonbackend DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
#install(DIRECTORY . DESTINATION ${KDE_INSTALL_DATADIR}/cantor/pythonbackend FILES_MATCHING PATTERN "*.py")

=== src/backends/python2/CMakeLists.txt ===
set( Python2Backend_SRCS
  python2backend.cpp
  python2session.cpp
)

kconfig_add_kcfg_files(Python2Backend_SRCS settings.kcfgc)

if(MSVC)
  # ssize_t is typedef'd in both kdewin and python headers, this prevents using the kdewin one
  add_definitions(-D_SSIZE_T_DEFINED)
endif(MSVC)

include_directories(${PYTHON_LIBRARIES_DIR})
include_directories(${PYTHON_INCLUDE_DIR})

add_backend(python2backend ${Python2Backend_SRCS})

target_link_libraries(cantor_python2backend
  ${PYTHON_LIBRARIES}
  cantor_pythonbackend
)

if(BUILD_TESTING)
  add_executable(testpython2 testpython2.cpp)
  target_link_libraries(testpython2 ${QT_QTTEST_LIBRARY} cantorlibs cantortest)
  add_test(NAME testpython2 COMMAND testpython2)
endif()

install(FILES cantor_python2.knsrc  DESTINATION  ${KDE_INSTALL_CONFDIR})
install(FILES python2backend.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

add_subdirectory(python2server)

=== debian/changelog ===
cantor (4:18.12.0-2+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:01:15 +0800

cantor (4:18.12.0-2) unstable; urgency=medium

  * Team upload.
  * Do not build the scilab backend on armel, mips, and mipsel
    (Closes: #926565).

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 16 Apr 2019 18:44:00 -0500

cantor (4:18.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes the SageMath backend (Closes: #910722, #911084)
  * Update the build dependencies according to the build system:
    - bump cmake to 3.1.0
    - bump all the KF5 packages to 5.49.0
    - add libkf5syntaxhighlighting-dev, and libmarkdown2-dev
  * Update install files.
  * Update lintian overrides.
  * Update the patches:
    - acceptable_answers: drop, as it does not apply anymore, and there is no
      information on what it does nor its status
  * Remove the 'testsuite' autopkgtest, since it fails, and it does not test
    the packages in the archive
    - dbus is not run anymore (Closes: #835839)
  * Disable the build (passing -DBUILD_TESTING=OFF to cmake) of the unit tests,
    as they are not run at build time.
  * Bump Standards-Version to 4.3.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 26 Dec 2018 14:26:49 +0100

=== debian/control ===
Source: cantor
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.1.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.49.0~),
               libanalitza-dev (>> 4:15.08),
               libglib2.0-dev,
               libkf5archive-dev (>= 5.49.0~),
               libkf5completion-dev (>= 5.49.0~),
               libkf5config-dev (>= 5.49.0~),
               libkf5coreaddons-dev (>= 5.49.0~),
               libkf5crash-dev (>= 5.49.0~),
               libkf5doctools-dev (>= 5.49.0~),
               libkf5i18n-dev (>= 5.49.0~),
               libkf5iconthemes-dev (>= 5.49.0~),
               libkf5kio-dev (>= 5.49.0~),
               libkf5newstuff-dev (>= 5.49.0~),
               libkf5parts-dev (>= 5.49.0~),
               libkf5pty-dev (>= 5.49.0~),
               libkf5syntaxhighlighting-dev (>= 5.49.0~),
               libkf5texteditor-dev (>= 5.49.0~),
               libkf5textwidgets-dev (>= 5.49.0~),
               libkf5xmlgui-dev (>= 5.49.0~),
               liblapack3,
               libluajit-5.1-dev [i386 amd64],
               libmarkdown2-dev,
               libqalculate-dev,
               libqt5svg5-dev (>= 5.4),
               libqt5xmlpatterns5-dev (>= 5.4),
               libspectre-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               python-dev (>= 2.7~),
               python3-dev,
               qtbase5-dev (>= 5.4),
               r-base-core,
Standards-Version: 4.3.0
Homepage: http://edu.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/cantor
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/cantor.git

Package: cantor
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cantor-backend-qalculate, texlive-binaries, texlive-latex-base
Suggests: cantor-backend-kalgebra,
          cantor-backend-lua [i386 amd64],
          cantor-backend-maxima,
          cantor-backend-octave,
          cantor-backend-python2,
          cantor-backend-python3,
          cantor-backend-r,
          cantor-backend-sage,
          cantor-backend-scilab [amd64 arm64 armhf i386 powerpc ppc64el s390x],
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: interface for mathematical applications
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 Cantor supports various mathematical applications as backends (provided in
 external packages):
  * Maxima Computer Algebra System (cantor-backend-maxima)
  * R Project for Statistical Computing (cantor-backend-r)
  * Sage Mathematics Software (cantor-backend-sage)
  * Octave (cantor-backend-octave)
  * Python (cantor-backend-python2 and cantor-backend-python3)
  * Scilab (cantor-backend-scilab)
  * Qalculate! (cantor-backend-qalculate)
  * Lua (cantor-backend-lua)
 .
 This package is part of the KDE education module.

Package: cantor-backend-kalgebra
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KAlgebra backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using KAlgebra
 (http://edu.kde.org/kalgebra) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-lua
Architecture: amd64 i386
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor (<< 4:17.08.3~)
Replaces: cantor (<< 4:17.08.3~)
Description: Lua backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Lua language
 (http://www.lua.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-maxima
Architecture: any
Section: math
Depends: maxima, ${misc:Depends}, ${shlibs:Depends}
Description: Maxima backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Maxima Computer Algebra System
 (http://maxima.sourceforge.net) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-octave
Architecture: any
Section: math
Depends: octave, ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor (<< 4:17.08.3~)
Replaces: cantor (<< 4:17.08.3~)
Description: Octave backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the GNU Octave language for
 numerical computations (http://www.octave.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-python2
Architecture: any
Section: math
Depends: libcantor-pythonbackend (= ${binary:Version}),
         python,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Python2 backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Python2 language
 (http://www.python.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-python3
Architecture: any
Section: math
Depends: libcantor-pythonbackend (= ${binary:Version}),
         python3,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Python3 backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Python3 language
 (http://www.python.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-qalculate
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor (<< 4:17.08.3~)
Replaces: cantor (<< 4:17.08.3~)
Description: Qalculate! backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Qalculate! calculator
 (http://qalculate.sourceforge.net/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-r
Architecture: any
Section: math
Depends: r-base-core, ${misc:Depends}, ${shlibs:Depends}
Suggests: r-base-html
Description: R backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the R Project for Statistical
 Computing (http://www.r-project.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-sage
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: sagemath
Description: Sage backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Sage Mathematics Software
 (http://www.sagemath.org) in Cantor.
 .
 Please note that sagemath is not available in Debian, so you need to manually
 install it for this package to work.
 .
 This package is part of the KDE education module.

Package: cantor-backend-scilab
Architecture: amd64 arm64 armhf i386 powerpc ppc64el s390x
Section: math
Depends: scilab-cli, ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor (<< 4:17.08.3~)
Replaces: cantor (<< 4:17.08.3~)
Description: Scilab backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Scilab scientific software
 package for numerical computations (http://www.scilab.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: libcantor-pythonbackend
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor-backend-python2 (<< 4:15.08)
Replaces: cantor-backend-python2 (<< 4:15.08)
Description: Base Python backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Python language
 (http://www.python.org/) in Cantor.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-6~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
libpkgs_gen_strict_local_shlibs = cantor
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_auto_install:
	$(overridden_command)
	# do not ship the development stuff for now
	rm -rf debian/tmp/usr/include/cantor/
	find debian/tmp -name '*.so' -type l -delete

override_dh_makeshlibs:
	$(overridden_command) -V

override_dh_strip:
	$(overridden_command) --dbgsym-migration='cantor-dbg (<= 4:15.12.1-1~~)'

## cantor 18.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "18")
 set (KDE_APPLICATIONS_VERSION_MINOR "12")
-set (KDE_APPLICATIONS_VERSION_MICRO "0")
+set (KDE_APPLICATIONS_VERSION_MICRO "1")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 set(KF5_MIN_VERSION "5.49.0")

=== src/backends/python2/python2server/CMakeLists.txt ===
include_directories(${PYTHON_INCLUDE_DIR})

set(Python2Server_SRCS
    main.cpp
    ../../python/pythonserver.cpp
)

add_executable(cantor_python2server ${Python2Server_SRCS})

set_target_properties(cantor_python2server PROPERTIES INSTALL_RPATH_USE_LINK_PATH false)
target_link_libraries(cantor_python2server
    ${PYTHON_LIBRARIES}
    Qt5::Widgets
    Qt5::DBus)

install(TARGETS cantor_python2server ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

## cantor 18.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "18")
 set (KDE_APPLICATIONS_VERSION_MINOR "12")
-set (KDE_APPLICATIONS_VERSION_MICRO "1")
+set (KDE_APPLICATIONS_VERSION_MICRO "2")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 set(KF5_MIN_VERSION "5.49.0")

## cantor 18.12.3a

=== debian/changelog ===
cantor (4:18.12.3a-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)
  * Rename source tarball appending 'a' for upstream respin.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:24:30 +0000

cantor (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:11:57 +0000

cantor (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:07:35 +0000

cantor (4:18.12.0-1ubuntu1) disco; urgency=medium

  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Bumped build deps.
    - Keep cantor-dev package.
    - Build with Julia on supported architectures, and re-add backend package.
    - Kubuntu Vcs fields.
    - Breaks/Replaces and maintscipt for config files moved from main cantor
      package to their respective backends.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 03 Jan 2019 17:29:23 +0000

cantor (4:18.04.3-0ubuntu6) disco; urgency=medium

  * No-change rebuild against latest libqalculate

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 23 Nov 2018 09:23:55 -0500

cantor (4:18.04.3-0ubuntu5) disco; urgency=medium

  * No-change rebuild to build for python3.7 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Oct 2018 12:34:25 +0000

cantor (4:18.04.3-0ubuntu4) cosmic; urgency=medium

  * Fix debian/not-installed file so it works with latest pkg-kde-tools

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 03 Sep 2018 21:27:38 +0100

cantor (4:18.04.3-0ubuntu3) cosmic; urgency=medium

  * Remove cantor_lua.knsrc from install files. This is already
    installed by debian rules if built. Also add to not-installed
    so not falsely flagged by list-missing.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jul 2018 14:10:03 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
 Build-Depends: cmake (>= 3.1.0~),
                debhelper (>= 11~),
                extra-cmake-modules (>= 5.49.0~),
-               libanalitza-dev (>> 4:15.08),
+               julia [amd64 arm64 armhf ppc64el],
+               libanalitza-dev (>= 4:18.12.3~),
                libglib2.0-dev,
+               libjulia-dev [amd64 arm64 armhf ppc64el],
                libkf5archive-dev (>= 5.49.0~),
                libkf5completion-dev (>= 5.49.0~),
                libkf5config-dev (>= 5.49.0~),
@@ -39,8 +41,8 @@
                r-base-core,
 Standards-Version: 4.3.0
 Homepage: http://edu.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/cantor
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/cantor.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor
 
 Package: cantor
 Architecture: any
@@ -55,7 +57,7 @@
           cantor-backend-python3,
           cantor-backend-r,
           cantor-backend-sage,
-          cantor-backend-scilab [amd64 arm64 armhf i386 powerpc ppc64el s390x],
+          cantor-backend-scilab [amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x],
 Breaks: ${kde-l10n:all}
 Replaces: ${kde-l10n:all}
 Description: interface for mathematical applications
@@ -77,6 +79,21 @@
  .
  This package is part of the KDE education module.
 
+Package: cantor-backend-julia
+Architecture: any
+Section: math
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Julia backend for Cantor
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant worksheet interface. It provides dialogs
+ to assist with common tasks and allows you to share your worksheets
+ with others.
+ .
+ This package provides the backend for using Julia
+ (http://julialang.org) in Cantor.
+ .
+ This package is part of the KDE education module.
+
 Package: cantor-backend-kalgebra
 Architecture: any
 Section: math
@@ -96,8 +113,8 @@
 Architecture: amd64 i386
 Section: math
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: cantor (<< 4:17.08.3~)
-Replaces: cantor (<< 4:17.08.3~)
+Breaks: cantor (<< 4:18.12.0~)
+Replaces: cantor (<< 4:18.12.0~)
 Description: Lua backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -128,8 +145,8 @@
 Architecture: any
 Section: math
 Depends: octave, ${misc:Depends}, ${shlibs:Depends}
-Breaks: cantor (<< 4:17.08.3~)
-Replaces: cantor (<< 4:17.08.3~)
+Breaks: cantor (<< 4:18.12.0~)
+Replaces: cantor (<< 4:18.12.0~)
 Description: Octave backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -181,8 +198,8 @@
 Architecture: any
 Section: math
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: cantor (<< 4:17.08.3~)
-Replaces: cantor (<< 4:17.08.3~)
+Breaks: cantor (<< 4:18.12.0~)
+Replaces: cantor (<< 4:18.12.0~)
 Description: Qalculate! backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -230,11 +247,11 @@
  This package is part of the KDE education module.
 
 Package: cantor-backend-scilab
-Architecture: amd64 arm64 armhf i386 powerpc ppc64el s390x
+Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x
 Section: math
 Depends: scilab-cli, ${misc:Depends}, ${shlibs:Depends}
-Breaks: cantor (<< 4:17.08.3~)
-Replaces: cantor (<< 4:17.08.3~)
+Breaks: cantor (<< 4:18.12.0~)
+Replaces: cantor (<< 4:18.12.0~)
 Description: Scilab backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -245,6 +262,20 @@
  package for numerical computations (http://www.scilab.org) in Cantor.
  .
  This package is part of the KDE education module.
+
+Package: cantor-dev
+Architecture: any
+Section: libdevel
+Depends: cantor (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: interface for mathematical applications - development files
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant worksheet interface. It provides dialogs
+ to assist with common tasks and allows you to share your worksheets
+ with others.
+ .
+ This package is part of the KDE education module.
+ .
+ This package contains development files for cantor.
 
 Package: libcantor-pythonbackend
 Architecture: any

## cantor 19.04.0

=== debian/changelog ===
cantor (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * Update install files.
  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:39:34 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                debhelper (>= 11~),
                extra-cmake-modules (>= 5.49.0~),
                julia [amd64 arm64 armhf ppc64el],
-               libanalitza-dev (>= 4:18.12.3~),
+               libanalitza-dev (>= 4:19.04.0~),
                libglib2.0-dev,
                libjulia-dev [amd64 arm64 armhf ppc64el],
                libkf5archive-dev (>= 5.49.0~),

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-l10npkgs_firstversion_ok := 4:16.04.3-6~
+l10npkgs_firstversion_ok := 4:17.03.90-0~
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
@@ -14,12 +14,6 @@
 	# Disable dh_auto_test at build time
 	:
 
-override_dh_auto_install:
-	$(overridden_command)
-	# do not ship the development stuff for now
-	rm -rf debian/tmp/usr/include/cantor/
-	find debian/tmp -name '*.so' -type l -delete
-
 override_dh_makeshlibs:
 	$(overridden_command) -V

## cantor 19.04.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "18")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
-set (KDE_APPLICATIONS_VERSION_MICRO "2")
+set (KDE_APPLICATIONS_VERSION_MAJOR "19")
+set (KDE_APPLICATIONS_VERSION_MINOR "04")
+set (KDE_APPLICATIONS_VERSION_MICRO "1")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 set(KF5_MIN_VERSION "5.49.0")
@@ -89,6 +89,33 @@
 add_subdirectory(src)
 add_subdirectory(icons)
 
+set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/Cantor")
+configure_package_config_file(
+    ${CMAKE_CURRENT_SOURCE_DIR}/CantorConfig.cmake.in
+    ${CMAKE_CURRENT_BINARY_DIR}/CantorConfig.cmake
+    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}/
+    #PATH_VARS INCLUDE_INSTALL_DIR SYSCONFIG_INSTALL_DIR
+)
+
+ecm_setup_version(${KDE_APPLICATIONS_VERSION}
+    VARIABLE_PREFIX CANTOR
+    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/cantor_version.h"
+    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/CantorConfigVersion.cmake"
+)
+install(
+    FILES ${CMAKE_CURRENT_BINARY_DIR}/CantorConfig.cmake
+          ${CMAKE_CURRENT_BINARY_DIR}/CantorConfigVersion.cmake
+    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
+    COMPONENT Devel
+)
+
+install(EXPORT CantorTargets
+    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+    FILE CantorTargets.cmake
+    NAMESPACE Cantor::
+)
+
+
 install(FILES org.kde.cantor.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== debian/changelog ===
cantor (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:54:15 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                debhelper (>= 11~),
                extra-cmake-modules (>= 5.49.0~),
                julia [amd64 arm64 armhf ppc64el],
-               libanalitza-dev (>= 4:19.04.0~),
+               libanalitza-dev (>= 4:19.04.1~),
                libglib2.0-dev,
                libjulia-dev [amd64 arm64 armhf ppc64el],
                libkf5archive-dev (>= 5.49.0~),
@@ -266,7 +266,9 @@
 Package: cantor-dev
 Architecture: any
 Section: libdevel
-Depends: cantor (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: cantor (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: interface for mathematical applications - development files
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs

## cantor 19.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "19")
 set (KDE_APPLICATIONS_VERSION_MINOR "04")
-set (KDE_APPLICATIONS_VERSION_MICRO "1")
+set (KDE_APPLICATIONS_VERSION_MICRO "2")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 set(KF5_MIN_VERSION "5.49.0")

=== debian/changelog ===
cantor (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 14:58:32 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                debhelper (>= 11~),
                extra-cmake-modules (>= 5.49.0~),
                julia [amd64 arm64 armhf ppc64el],
-               libanalitza-dev (>= 4:19.04.1~),
+               libanalitza-dev (>= 4:19.04.2~),
                libglib2.0-dev,
                libjulia-dev [amd64 arm64 armhf ppc64el],
                libkf5archive-dev (>= 5.49.0~),

## cantor 19.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "19")
 set (KDE_APPLICATIONS_VERSION_MINOR "04")
-set (KDE_APPLICATIONS_VERSION_MICRO "2")
+set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 set(KF5_MIN_VERSION "5.49.0")

=== src/lib/CMakeLists.txt ===
--- 
+++ 
@@ -74,12 +74,22 @@
   Qt5::Xml
 )
 
-set_target_properties( cantorlibs PROPERTIES VERSION ${KDE_APPLICATIONS_VERSION} SOVERSION 20)
+set (CANTORLIBS_SOVERSION 20)
+set_target_properties( cantorlibs PROPERTIES VERSION ${KDE_APPLICATIONS_VERSION} SOVERSION ${CANTORLIBS_SOVERSION})
 
+ecm_setup_version(${KDE_APPLICATIONS_VERSION}
+    VARIABLE_PREFIX CANTOR
+    SOVERSION ${CANTORLIBS_SOVERSION}
+    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/cantorlibs_version.h
+)
 
-install( TARGETS cantorlibs  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )
+install( TARGETS cantorlibs EXPORT CantorTargets  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )
 
-install( FILES ${cantor_LIB_HDRS} ${CMAKE_CURRENT_BINARY_DIR}/cantor_export.h
+install(
+  FILES
+    ${cantor_LIB_HDRS}
+    ${CMAKE_CURRENT_BINARY_DIR}/cantor_export.h
+    ${CMAKE_CURRENT_BINARY_DIR}/cantorlibs_version.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR}/cantor
   COMPONENT Devel
 )

=== src/backends/R/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
   rhighlighter.cpp
   rkeywords.cpp
   rsettingswidget.cpp
+  rvariablemodel.cpp
 )
 
 kconfig_add_kcfg_files(RBackend_SRCS rserver/settings.kcfgc)
@@ -26,4 +27,15 @@
 set_target_properties( cantor_rbackend PROPERTIES INSTALL_RPATH_USE_LINK_PATH false)
 target_link_libraries( cantor_rbackend ${R_USED_LIBS} KF5::SyntaxHighlighting)
 
+if(BUILD_TESTING)
+  add_executable( testr testr.cpp)
+  add_test(testr testr)
+  ecm_mark_as_test(testr)
+  target_link_libraries( testr
+    Qt5::Test
+    cantorlibs
+    cantortest
+  )
+endif(BUILD_TESTING)
+
 install( FILES cantor_r.knsrc  DESTINATION  ${KDE_INSTALL_CONFDIR} )

=== src/backends/python/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
   pythonsession.cpp
   pythonexpression.cpp
   pythonkeywords.cpp
+  pythonvariablemodel.cpp
   pythonhighlighter.cpp
   pythoncompletionobject.cpp
   pythonextensions.cpp

=== src/backends/qalculate/CMakeLists.txt ===
add_subdirectory(plotassistant)
project(cantor-qalculate-backend)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS} -Wno-deprecated")
add_definitions(${QALCULATE_CFLAGS})

set( QalculateBackend_SRCS
  qalculatesyntaxhelpobject.cpp
  qalculatebackend.cpp
  qalculatesession.cpp
  qalculatehighlighter.cpp
  qalculateexpression.cpp
  qalculateextensions.cpp
  qalculatecompletionobject.cpp
  qalculateextensions.cpp
)

kconfig_add_kcfg_files(QalculateBackend_SRCS settings.kcfgc)
install(FILES qalculatebackend.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ki18n_wrap_ui(QalculateBackend_SRCS settings.ui)

add_backend(qalculatebackend ${QalculateBackend_SRCS})

if (QALCULATE_VERSION VERSION_LESS 2.0.0)
  target_link_libraries( cantor_qalculatebackend cantorlibs ${QALCULATE_LIBRARIES} ${CLN_LIBRARIES})
else()
  target_link_libraries( cantor_qalculatebackend cantorlibs ${QALCULATE_LIBRARIES})
endif()

install( FILES cantor_qalculate.knsrc  DESTINATION  ${KDE_INSTALL_CONFDIR} )

=== debian/changelog ===
cantor (4:19.04.3-0ubuntu3) focal; urgency=medium

  * For now only build with julia on amd64.

 -- Rik Mills <rikmills@kde.org>  Sat, 02 Nov 2019 06:31:00 +0000

cantor (4:19.04.3-0ubuntu2) eoan; urgency=medium

  * Add upstream_fix_missing_includes.diff to fix FTBFS

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 16 Aug 2019 13:17:57 +0100

cantor (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:10:11 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends: cmake (>= 3.1.0~),
                debhelper (>= 11~),
                extra-cmake-modules (>= 5.49.0~),
-               julia [amd64 arm64 armhf ppc64el],
-               libanalitza-dev (>= 4:19.04.2~),
+               julia [amd64],
+               libanalitza-dev (>= 4:19.04.3~),
                libglib2.0-dev,
-               libjulia-dev [amd64 arm64 armhf ppc64el],
+               libjulia-dev [amd64],
                libkf5archive-dev (>= 5.49.0~),
                libkf5completion-dev (>= 5.49.0~),
                libkf5config-dev (>= 5.49.0~),
